net.snowflake.client.jdbcapi

## Class ResultSetIT

- java.lang.Object
- - net.snowflake.client.AbstractDriverIT
  - - net.snowflake.client.jdbcapi.BaseJDBCTest
    - - net.snowflake.client.jdbcapi.ResultSetIT

    public class ResultSetIT
    extends BaseJDBCTest

Author:
  hyu

### Constructor Summary

Constructors
Constructor and Description
`ResultSetIT()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setUp()`
`void` `tearDown()`
`void` `testCurrentTime()`
`void` `testCursorPosition()`
`void` `testDateTimeRelatedTypeConversion()`
`void` `testFetchOnClosedResultSet()`
`void` `testFindColumn()`
`void` `testGetBigDecimal()`
`void` `testGetBoolean()`
`void` `testGetBytes()`
`void` `testGetColumnDisplaySizeAndPrecision()`
`void` `testGetDateAndTime()`
`void` `testGetMethod()`
`void` `testGetObjectOnDatabaseMetadataResultSet()`
`void` `testGetObjectOnFixedView()`
`void` `testGetOldDate()`
`void` `testInvalidColumnIndex()`
`void` `testMovingCursor()`
`void` `testResultColumnSearchCaseSensitive()`
`void` `testResultSetMetadata()`
`void` `testResultStorage()`
`void` `testTimeRange()`

### Methods inherited from class net.snowflake.client.jdbcapi.BaseJDBCTest

`compareTwoLists, fetchColumnInResultSet, fetchResultSet, getConnection, getConnection, getInfoViaSQLCmd, getSFProjectRootString, getSizeOfResultSet, loadConfig`

### Methods inherited from class net.snowflake.client.AbstractDriverIT

`getConnection, getConnection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResultSetIT

    public ResultSetIT()

### Method Detail

#### setUp

    public void setUp()
               throws SQLException

Overrides:
  `setUp` in class `AbstractDriverIT`
Throws:
  `SQLException`

#### tearDown

    public void tearDown()
                  throws SQLException

Overrides:
  `tearDown` in class `AbstractDriverIT`
Throws:
  `SQLException`

#### testMovingCursor

    public void testMovingCursor()
                          throws SQLException

Throws:
  `SQLException`

#### testFindColumn

    public void testFindColumn()
                        throws SQLException

Throws:
  `SQLException`

#### testGetMethod

    public void testGetMethod()
                       throws SQLException

Throws:
  `SQLException`

#### testGetObjectOnDatabaseMetadataResultSet

    public void testGetObjectOnDatabaseMetadataResultSet()
                                                  throws SQLException

Throws:
  `SQLException`

#### testGetBigDecimal

    public void testGetBigDecimal()
                           throws SQLException

Throws:
  `SQLException`

#### testCursorPosition

    public void testCursorPosition()
                            throws SQLException

Throws:
  `SQLException`

#### testGetDateAndTime

    public void testGetDateAndTime()
                            throws SQLException

Throws:
  `SQLException`

#### testTimeRange

    public void testTimeRange()
                       throws SQLException

Throws:
  `SQLException`

#### testCurrentTime

    public void testCurrentTime()
                         throws SQLException

Throws:
  `SQLException`

#### testGetBytes

    public void testGetBytes()
                      throws SQLException

Throws:
  `SQLException`

#### testResultSetMetadata

    public void testResultSetMetadata()
                               throws SQLException

Throws:
  `SQLException`

#### testGetOldDate

    public void testGetOldDate()
                        throws SQLException

Throws:
  `SQLException`

#### testGetObjectOnFixedView

    public void testGetObjectOnFixedView()
                                  throws SQLException,
                                         Exception

Throws:
  `SQLException`
  `Exception`

#### testGetColumnDisplaySizeAndPrecision

    public void testGetColumnDisplaySizeAndPrecision()
                                              throws SQLException

Throws:
  `SQLException`

#### testGetBoolean

    public void testGetBoolean()
                        throws SQLException

Throws:
  `SQLException`

#### testFetchOnClosedResultSet

    public void testFetchOnClosedResultSet()
                                    throws SQLException

Throws:
  `SQLException`

#### testResultStorage

    public void testResultStorage()
                           throws SQLException

Throws:
  `SQLException`

#### testDateTimeRelatedTypeConversion

    public void testDateTimeRelatedTypeConversion()
                                           throws SQLException

Throws:
  `SQLException`

#### testResultColumnSearchCaseSensitive

    public void testResultColumnSearchCaseSensitive()
                                             throws SQLException

Throws:
  `SQLException`

#### testInvalidColumnIndex

    public void testInvalidColumnIndex()
                                throws SQLException

Throws:
  `SQLException`